Bug 1095455 - zathura-pdf-mupdf?
Summary: zathura-pdf-mupdf?
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: zathura
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1109589 1122539 1219422
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-07 18:19 UTC by Pablo Rodríguez
Modified: 2015-07-07 15:14 UTC (History)
3 users (show)

Fixed In Version: zathura-pdf-mupdf-0.2.8-3.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-07 15:14:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1230149 None None None Never

Internal Links: 1230149

Description Pablo Rodríguez 2014-05-07 18:19:56 UTC
Since mupdf-1.4 has been released to rawhide, would it be possible to have zathura-pdf-mupdf packaged in Fedora?

Many thanks for your help,

Pablo

Comment 1 François Cami 2014-05-07 20:32:23 UTC
Hello Pablo,

The last time this was tried, we could not install both pdf plugins (no runtime selector), plus the poppler-based plugin had more features.
I'll have to revisit this. 

Thanks for the heads-up.
François

Comment 2 Pablo Rodríguez 2014-05-07 20:59:45 UTC
François,

as far as I know, both plugins cannot be simultaneously installed.

BTW, I have just noticed (searching for info about runtime selector) that "mupdf has to be built with -fPIC before it can be linked successfully to our plugin".

Just in case it helps,

Pablo

Comment 3 Pablo Rodríguez 2014-07-07 19:27:21 UTC
François,

#1109589 shows that mupdf is built with -fPIC in rawhide.

Would it be possible that you provide zathura-pdf-mupdf in rawhide?

Many thanks for your help,


Pablo

Comment 4 François Cami 2014-07-07 19:43:43 UTC
Is zathura-pdf-poppler problematic in your use case? Why do you need zathura-pdf-mupdf?

Comment 5 Pablo Rodríguez 2014-07-07 19:50:17 UTC
(In reply to François Cami from comment #4)
> Is zathura-pdf-poppler problematic in your use case? Why do you need
> zathura-pdf-mupdf?

I have a netbook with less resources than a standard computer. mupdf requires less resources than poppler. I think that it would be worth providing also zathura-pdf-mupdf in Fedora.

As you pointed before, this is incompatible with zathura-pdf-poppler. But once this is marked in the spec file, I think the user should able to decide whether poppler or mupdf fits better her needs.

Many thanks for your help,


Pablo

Comment 6 Pablo Rodríguez 2014-07-20 09:02:58 UTC
François,

I think that zathura-pdf-mupdf is an interesting software so that the user can choose what fits best.

Sorry, but I cannot understand what is the problem with packaging zathura-pdf-mupdf.

Many thanks for your help,


Pablo

Comment 7 François Cami 2014-07-20 14:57:28 UTC
I never said packaging zathura-pdf-mupdf was a problem, but I have no time to do it now.

Comment 8 Pablo Rodríguez 2014-07-20 17:25:14 UTC
(In reply to François Cami from comment #7)
> I never said packaging zathura-pdf-mupdf was a problem, but I have no time
> to do it now.

Sorry, François, I simply got it wrong.

Comment 9 Petr Šabata 2014-11-03 14:21:10 UTC
Well, we could either make these two plugins conflict with each other or implement alternatives here, since it's just about the %{_libdir}/zathura/pdf.so file, I think.

The former would be more simple but the latter probably generally preferred.

What approach did you have in mind, François?

Comment 10 François Cami 2014-11-03 14:23:36 UTC
I'd vote for the alternatives approach, since it could probably be made to work with zathura-plugins-all. But frankly, anything that works.

Comment 11 Petr Šabata 2014-11-03 14:38:02 UTC
Okay.  I'll do it if you're still busy.

Comment 12 François Cami 2014-11-03 14:59:31 UTC
I appreciate that, thank you Petr.

Comment 13 Petr Šabata 2014-11-03 15:25:28 UTC
The plugin requires a mupdf library not available in Fedora at the moment.

Comment 14 Jaroslav Reznik 2015-03-03 17:01:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 15 Fedora Admin XMLRPC Client 2015-03-28 12:51:55 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 16 Pablo Rodríguez 2015-04-27 17:21:03 UTC
(In reply to Petr Šabata from comment #13)
> The plugin requires a mupdf library not available in Fedora at the moment.

Hi Petr,

would it be available if mupdf-1.7 is packaged?

Many thanks for your help,

Pablo

Comment 17 Petr Šabata 2015-04-28 09:44:27 UTC
Hi Pablo,

this isn't about mupdf version, it's about mupdf packaging in Fedora.  The package just doesn't install the files we need.  See #1122539.

Comment 18 Pablo Rodríguez 2015-04-28 15:51:03 UTC
(In reply to Petr Šabata from comment #17)
> Hi Pablo,
> 
> this isn't about mupdf version, it's about mupdf packaging in Fedora.  The
> package just doesn't install the files we need.  See #1122539.

Many thanks for your reply, Petr.

Wouldn’t it make more sense to provide mujs as an independent package (from mupdf)?

Comment 19 Petr Šabata 2015-04-28 16:03:32 UTC
I know next to nothing about mupdf and I don't care whether it's installed by mupdf or a mupdf subpackage, if that's what you're asking about :)

That's up to its maintainer, if he ever wakes up.

Comment 20 François Cami 2015-04-28 16:15:20 UTC
FYI: unresponsive maintainer policy started on Fedora's devel list.

Comment 21 Petr Šabata 2015-05-07 10:05:23 UTC
I've submitted mujs (a standalone package) for package review, see bug #1219422.

Comment 22 Petr Šabata 2015-06-10 11:07:06 UTC
zathura-pdf-mupdf submitted for review, bug #1230149.

Comment 23 Petr Šabata 2015-07-07 15:14:03 UTC
The package is available in Rawhide.  Closing.


Note You need to log in before you can comment on or make changes to this bug.